### Enumeration

# FwupdPlugin IoChannelOpenFlags

#### Declaration

    flags FwupdPlugin.IoChannelOpenFlags

#### Description

No description available.

#### Members

`FU_IO_CHANNEL_OPEN_FLAG_NONE`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_IO_CHANNEL_OPEN_FLAG_READ`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_IO_CHANNEL_OPEN_FLAG_WRITE`

  No description available.

  - Value: `2`
  - Available since: 1.0
`FU_IO_CHANNEL_OPEN_FLAG_NONBLOCK`

  No description available.

  - Value: `4`
  - Available since: 1.0
`FU_IO_CHANNEL_OPEN_FLAG_SYNC`

  No description available.

  - Value: `8`
  - Available since: 1.0